import { FormatOptions } from 'sql-formatter';

declare const SQL: unique symbol;
declare type Wrapper = {
    [SQL]: string;
};
declare const test: (value: any) => value is Wrapper;
declare const serialize: (value: Wrapper) => string;
declare const sql: (value: string, options?: FormatOptions | undefined) => Wrapper;
declare const mysql: (value: string, options?: FormatOptions | undefined) => Wrapper;
declare const postgresql: (value: string, options?: FormatOptions | undefined) => Wrapper;

export { Wrapper, mysql, postgresql, serialize, sql, test };
